{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "module": "es2020",
    "moduleResolution": "node",
    "target": "es2017",
    "typeRoots": [
      "node_modules/@types"
    ],
    "lib": [
      "es2018",
      "dom"
    ],
    "paths": {
      "@app/*": [
        "src/app/*"
      ],
      "@components/*": [
        "src/app/components/*"
      ],
      "@shared": [
        "src/app/shared/index"
      ],
      "@shared/*": [
        "src/app/shared/*"
      ],
      "@modules/*": [
        "src/app/modules/*"
      ],
      "@typings/*": [
        "src/typings/*"
      ],
      "@utils/*": [
        "src/app/utils/*"
      ],
      "@online-board/*": [
        "src/app/features/online-board/*"
      ],
      "@components": [
        "src/app/modules/components/index"
      ],
      "@toolkit/*": [
        "src/app/toolkit/*"
      ],
      "@board": [
        "src/app/modules/pages/board/index"
      ],
      "@schedule/*": [
        "src/app/features/schedule/*"
      ],
      "@environment": [
        "src/environments/environment"
      ]
    },
    "types": [
      "node"
    ]
  },
  "angularCompilerOptions": {
    "enableI18nLegacyMessageIdFormat": false,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  },
  "files": [
    "src/main.ts",
    "src/polyfills.ts"
  ],
  "include": [
    "src/**/*.d.ts"
  ],
  "exclude": [
    "**/appsettings.json",
    "**/appsettings.Development.json",
    "**/*.stories.*",
    "**/*.mock.*",
  ]
}
